/*
    HAC - Hack Architecture in C
    Copyright (C) 2012  Dominic Walden

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* Memory/RAM function */

#include "addresses.h"



void memory()
{

  reg * memory = mem;
  reg mask = -32768;
  reg ctl = ctrl & mask;

  /* If memory destination bit is on
     store output of cpu in mem[addr] */
  if(ctl != 0) {
    mask = 8;
    ctl = ctrl & mask;

    if(ctl == 8)
      *(memory+addr) = outmem;

  }
}
