/*
    HAC - Hack Architecture in C
    Copyright (C) 2012  Dominic Walden

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* Multiplexor 2, accepts input either from addr
   or mem[addr], passes it to cpu */

#include "addresses.h"


void muxtwo()
{

  reg * mux = &mux2;
  reg mask = -32768;
  reg ctl = ctrl & mask;

  if(ctl != 0) {
    mask = 4096;
    ctl = ctrl & mask;

    if(ctl == 0)
      *mux = addr;

    else
      *mux = mem[addr];
  }
}
