/*
    HAC - Hack Architecture in C
    Copyright (C) 2012  Dominic Walden

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* Screen controller, 16x16, not implemented */

#include "addresses.h"



void screen()
{

  /* Screen is 16x16, starting at mem[?] */
  unsigned short int scr[16] = mem[?]; // ???

  /* Draws a # corresponding to each bit of
     16 reg variables (reg[16] stored in mem[?]) */
  for(i = 16; i > 0; i--) {

    if(scr[i] > 32767) {
      printf("#");
      scr[i] -= 32768;
    }

    else
      printf(" ");

    if(scr[i] > 16383) {
      printf("#");
      scr[i] -= 16384;
    }

    else
      printf(" ");

    if(scr[i] > 8191) {
      printf("#");
      scr[i] -= 8192;
    }

    else
      printf(" ");

    if(scr[i] > 4095) {
      printf("#");
      scr[i] -= 4096;
    }

    else
      printf(" ");

    if(scr[i] > 2047) {
      printf("#");
      scr[i] -= 2048;
    }

    else
      printf(" ");

    if(scr[i] > 1023) {
      printf("#");
      scr[i] -= 1024;
    }

    else
      printf(" ");

    if(scr[i] > 511) {
      printf("#");
      scr[i] -= 512;
    }

    else
      printf(" ");

    if(scr[i] > 255) {
      printf("#");
      scr[i] -= 256;
    }

    else
      printf(" ");

    if(scr[i] > 127) {
      printf("#");
      scr[i] -= 128;
    }

    else
      printf(" ");

    if(scr[i] > 63) {
      printf("#");
      scr[i] -= 64;
    }

    else
      printf(" ");

    if(scr[i] > 31) {
      printf("#");
      scr[i] -= 32;
    }

    else
      printf(" ");

    if(scr[i] > 15) {
      printf("#");
      scr[i] -= 16;
    }

    else
      printf(" ");

    if(scr[i] > 7) {
      printf("#");
      scr[i] -= 8;
    }

    else
      printf(" ");

    if(scr[i] > 3) {
      printf("#");
      scr[i] -= 4;
    }

    else
      printf(" ");

    if(scr[i] > 1) {
      printf("#");
      scr[i] -= 2;
    }

    else
      printf(" ");

    if(scr[i] > 0) {
      printf("#");
      scr[i] -= 1;
    }

    else
      printf(" ");


    printf("\n");

  }

}
