/*
    HAC - Hack Architecture in C
    Copyright (C) 2012  Dominic Walden

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* Main function, from which the others are called
   in appropriate order. Bit messy due to testing */

#include "addresses.h"



void main()
{

  int count = 0;
  int cnt = 1;
  reg * prco = &pc;
  *prco = 0;
  reg mask;
  reg ctl;

  /* Load instructions into memory */
  instructions();

  /* One while loop == one clock cycle (I guess...) */
  while(mem[count] != -1) { //instruction value 1 chosen as exit value, but could be different
    keyboard();
    control();
    muxone();
    addreg();
    muxtwo();
    alu();
    datreg();
    progcount();
    memory();

    count = *prco;
    cnt++;

    printf("100: %d\n150: %d\n151: %d\n152: %d\n", mem[100], mem[150], mem[151], mem[152]);
  }

  //printf("%d\n%d\n%d\n%d\n%d\n%d\n%d\n%d\n%d\n", mem[0], mem[100], mem[199], mem[200], mem[299], mem[300], mem[301], mem[302], mem[399]);

  printf("100: %d\n150: %d\n", mem[100], mem[150]);

}
