/*
    HAC - Hack Architecture in C
    Copyright (C) 2012  Dominic Walden

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/* Program counter */

#include "addresses.h"



void progcount()
{

  reg * procou = &pc;

  reg mask = -32768;
  reg ctl = ctrl & mask;

  if(ctl != 0) {

  mask = 7;
  ctl = ctrl & mask;

  /* Checks jump bits */
  if(reset == 1)
    *procou = 0;

  else if(ctl == 1 && outmem > 0)
    *procou = addr;

  else if(ctl == 2 && outmem == 0)
    *procou = addr;

  else if(ctl == 3 && outmem >= 0)
    *procou = addr;

  else if(ctl == 4 && outmem < 0)
    *procou = addr;

  else if(ctl == 5 && outmem != 0)
    *procou = addr;

  else if(ctl == 6 && outmem <= 0)
    *procou = addr;

  else if(ctl == 7)
    *procou = addr;

  else
    *procou += 1;
  }

  else
    *procou += 1;

}
